## ViewInject
源自于butterknife 7.0.1，[http://jakewharton.github.io/butterknife/](http://jakewharton.github.io/butterknife/)。<br/>
删除了资源注入代码，@BindString,@BindInt,@BindDrawable等。

Annotate fields with @Bind and a view ID for Butter Knife to find and automatically cast the corresponding view in your layout.

	class ExampleActivity extends Activity {
	 @Bind(R.id.title) TextView title;
	 @Bind(R.id.subtitle) TextView subtitle;
	 @Bind(R.id.footer) TextView footer;
	
	 @Override public void onCreate(Bundle savedInstanceState) {
	   super.onCreate(savedInstanceState);
	   setContentView(R.layout.simple_activity);
	   ButterKnife.bind(this);
	   // TODO Use fields...
	 }
	}
Instead of slow reflection, code is generated to perform the view look-ups. Calling bind delegates to this generated code that you can see and debug.

The generated code for the above example is roughly equivalent to the following:

	public void bind(ExampleActivity activity) {
	  activity.subtitle = (android.widget.TextView) activity.findViewById(2130968578);
	  activity.footer = (android.widget.TextView) activity.findViewById(2130968579);
	  activity.title = (android.widget.TextView) activity.findViewById(2130968577);
	}
	
	
## PROGUARD

Butter Knife generates and uses classes dynamically which means that static analysis tools like ProGuard may think they are unused. In order to prevent them from being removed, explicitly mark them to be kept. To prevent ProGuard renaming classes that use @Bind on a member field the keepclasseswithmembernames option is used.

	-keep class butterknife.** { *; }
	-dontwarn butterknife.internal.**
	-keep class **$$ViewBinder { *; }
	
	-keepclasseswithmembernames class * {
	    @butterknife.* <fields>;
	}
	
	-keepclasseswithmembernames class * {
	    @butterknife.* <methods>;
	}
	
